### Method

# WebKit2WebExtension DOMDocument create_expression

#### Declaration [src]

    WebKitDOMXPathExpression*
    webkit_dom_document_create_expression (
      WebKitDOMDocument* self,
      const gchar* expression,
      WebKitDOMXPathNSResolver* resolver,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`expression` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`resolver` | `WebKitDOMXPathNSResolver`
| A `WebKitDOMXPathNSResolver`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMXPathExpression`
| A `WebKitDOMXPathExpression`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.